### Function

# PapersDocument xmp_parse

#### Declaration [src]

    gboolean
    pps_xmp_parse (
      const char* metadata,
      gsize size,
      PpsDocumentInfo* info
    )

#### Description [src]

Parse XMP based document metadata into `PpsDocumentInfo`.

#### Parameters

`metadata`

  Type: `const char*`

  XMP document data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gsize`

  Size of `metadata` in bytes.

`info`

  Type: `PpsDocumentInfo`

  Target to update.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` iff `metadata` could be successfully parsed.